// RemoveAllAnchors.jsx

/*
    
В выделенном тексте удаляются все якоря гиперссылок '<FEFF>'.

*/

#include "BmHlData.jsxinc"

var programTitul = mes039; // "Удаление маркеров текстовых гиперссылок"
if (app.documents.length == 0) {
    alert(mes002, programTitul);
    exit();
    }

var mySel = app.selection[0];
if (mySel == null || (mySel.constructor.name != "Paragraph" && mySel.constructor.name != "Text" && mySel.constructor.name != "TextColumn" && mySel.constructor.name != "TextStyleRange")) {
    alert(mes040,programTitul); // "Перед запуском скрипта должен быть выделен текст."
    exit();    
    }

app.findTextPreferences = NothingEnum.nothing;
app.changeTextPreferences = NothingEnum.nothing;
app.findChangeTextOptions.includeFootnotes = true;    
app.findTextPreferences.findWhat="<FEFF>";
var findRez = mySel.findText();
if (findRez.length > 0) {
    for (var f = findRez.length-1; f >= 0; f--) { findRez[f].remove(); } 
    alert(mes041, programTitul); // "Маркеры гиперссылок удалены."    
    }
else alert(mes042, programTitul); // "Маркеры гиперссылок не найдены."
app.findTextPreferences = NothingEnum.nothing;
app.changeTextPreferences = NothingEnum.nothing; 
exit();
